[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ITP: Zope tutorial (plus overriding problems)

Petr Cech <cech@atrey.karlin.mff.cuni.cz> writes:

> On Mon, May 01, 2000 at 12:33:57AM +0200 , Christian Leutloff wrote:

> > Source: zope-tutorial
> > Package: zope-tutorial
> > Depends: zope (>= 2.1.6)
> > But I'm running into trouble:
> > 
> > Selecting previously deselected package zope-tutorial.
> > (Reading database ... 60763 files and directories currently installed.)
> > Unpacking zope-tutorial (from zope-tutorial_1.0a5-1_all.deb) ...
> > dpkg - warning, overriding problem because --force enabled:
> >  trying to overwrite `/usr/lib/zope/lib/python/App/Product.py', which is also in package zope
> [snip]
> > It is intentionally that these files are overwriting the ones
> > delivered with the original zope archive. How can I deal with this
> Why do you want to do that? What's the difference between these python files
> in zope and zope-tutorial? Can't you just leave them out?

I don't know. In the mean time I've contacted the upstream author and
he suggested, that I/we should wait for the next version of zope that
will incorporate the tutorial. I've tried it in a "manual" fashion
using a print out version of the tutorial.stx and using the examples
delivered with my packages. 

The alpha version of the next version of Zope is expected within one

For impatient user is my package available from 


Dipl.-Ing. Christian Leutloff, Aachen, Germany  christian@leutloff.de
   http://www.oche.de/~leutloff/                leutloff@debian.org

            Debian GNU/Linux - http://www.de.debian.org/

Reply to: